// Command definitions
const Discord = require("discord.js")

module.exports = {
	global: [
		// Use SlashCommandBuilder for command creation
		new Discord.SlashCommandBuilder()
			.setName("report")
			.setDescription("Report a user.")
			.addNumberOption(option => option.setName("roblox_id").setDescription("The Roblox ID of the user you're reporting.").setRequired(true))
			.addStringOption(option => option.setName("reason").setDescription("The reason for the report. (Please be as descriptive as possible)").setRequired(true)),
	],
	admin: [
		new Discord.SlashCommandBuilder()
			.setName("ban")
			.setDescription("Ban a user.")
			.setDefaultMemberPermissions(0)
			.addStringOption(option => option.setName("reason").setDescription("The reason for the ban.").setRequired(true))
			.addStringOption(option => option.setName("roblox_id").setDescription("The Roblox ID of the user you're banning.").setRequired(false))
			.addStringOption(option => option.setName("discord_id").setDescription("The Discord ID of the user you're banning.").setRequired(false)),
		new Discord.SlashCommandBuilder()
			.setName("unban")
			.setDescription("Unban a user.")
			.addNumberOption(option => option.setName("roblox_id").setDescription("The Roblox ID of the user you're unbanning.").setRequired(false))
			.addStringOption(option => option.setName("discord_id").setDescription("The Discord ID of the user you're unbanning.").setRequired(false))
			.setDefaultMemberPermissions(0),
	]
}